summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:34:54 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:34:54 -0400
commitf12e87d6b674e6e9c23e100de0e346dfb0ba4dba (patch)
treee4ccc0eaceb6a8beef786e8913ede1fb573fd999
parentda7b6f30a6546018831b9d926738ae39dec6fae2 (diff)
downloadslackbuilds-f12e87d6b674e6e9c23e100de0e346dfb0ba4dba.tar.gz
slackbuilds-f12e87d6b674e6e9c23e100de0e346dfb0ba4dba.tar.xz
graphics/feh: Fixed for bash4.
-rw-r--r--graphics/feh/feh.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/graphics/feh/feh.SlackBuild b/graphics/feh/feh.SlackBuild
index c163a40f69..da5310ec46 100644
--- a/graphics/feh/feh.SlackBuild
+++ b/graphics/feh/feh.SlackBuild
@@ -69,12 +69,8 @@ CXXFLAGS="$SLKCFLAGS" \
make || exit 1
make install DESTDIR=$PKG || exit 1
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;